package com.example.switchyard.switchyard_camel_bindy;

import org.apache.camel.builder.RouteBuilder;
import org.apache.camel.model.dataformat.BindyType;
import org.apacheextras.camel.jboss.JBossPackageScanClassResolver;

public class CamelBindyServiceRoute extends RouteBuilder {

	/**
	 * The Camel route is configured via this method.  The from endpoint is required to be a SwitchYard service.
	 */
	public void configure() {
		JBossPackageScanClassResolver resolver = new JBossPackageScanClassResolver();
		
		this.getContext().setPackageScanClassResolver(resolver);
		
		from("switchyard://CamelBindyService").unmarshal().bindy(BindyType.Csv, BindyData.class).log(
				"Received message for 'CamelBindyService' : ${body}");
	}

}
